Debian Bug report logs - #700435
fonts-ipaexfont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze

version graph

Package: src:fonts-ipaexfont; Maintainer for src:fonts-ipaexfont is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Tue, 12 Feb 2013 16:42:02 UTC

Severity: important

Tags: patch, pending

Found in version fonts-ipaexfont/00103-14

Fixed in version fonts-ipaexfont/00103-14.1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700435; Package src:fonts-ipaexfont. (Tue, 12 Feb 2013 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 16:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonts-ipaexfont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Tue, 12 Feb 2013 17:38:51 +0100
[Message part 1 (text/plain, inline)]
Source: fonts-ipaexfont
Version: 00103-14
Severity: important
Tags: patch
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

<template>

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

The leftover files are actually alternatives that were installed by the
package but have not been properly removed.

While there is ongoing discussion how to remove alternatives correctly
(see http://bugs.debian.org/71621 for details) the following strategy
should work for regular cases:
* 'postinst configure' always installs the alternative
* 'prerm remove' removes the alternative
* 'postrm remove' and 'postrm disappear' remove the alternative
In all other cases a maintainer script is invoked (e.g. upgrade,
deconfigure) the alternatives are not modified to preserve user
configuration.
Removing the alternative in 'prerm remove' avoids having a dangling link
once the actual file gets removed, but 'prerm remove' is not called in
all cases (e.g. unpacked but not configured packages or disappearing
packages) so the postrm must remove the alternative again
(update-alternatives gracefully handles removal of non-existing
alternatives).

Note that the arguments for adding and removing alternatives differ, for
removal it's 'update-alternatives --remove <name> <path>'.

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

</template>

>From the attached log (scroll to the bottom...):

0m52.9s INFO: Warning: Package purging left files on system:
  /etc/alternatives/ttf-japanese-gothic.ttf -> /usr/share/fonts/opentype/ipaexfont/ipaexg.ttf	 not owned
  /etc/alternatives/ttf-japanese-mincho.ttf -> /usr/share/fonts/opentype/ipaexfont/ipaexm.ttf	 not owned
  /usr/share/fonts/	 owned by: fonts-ipaexfont-mincho, fonts-ipaexfont-gothic
  /usr/share/fonts/opentype/	 owned by: fonts-ipaexfont-mincho, fonts-ipaexfont-gothic
  /usr/share/fonts/opentype/ttf-japanese-gothic.otf -> /etc/alternatives/ttf-japanese-gothic.ttf	 not owned
  /usr/share/fonts/opentype/ttf-japanese-mincho.otf -> /etc/alternatives/ttf-japanese-mincho.ttf	 not owned


Due to the package rename, the stuff in the preinst script is not being
run at all during upgrades from squeeze: fonts-ipaexfont-* will always be a
new install, so "$2" will be empty and all the
  dpkg --compare-versions "$2" lt-nl "$someversion"
will evaluate to false.

I'll add a patch once I get the bug number. It does two things:

* Add preinst to the transitional packages to remove
  the alternative there. But there is really no guarantee for the transitional
  being installed at all ... but if it is installed, u-a won't emit a
  diagnostic about something dangling ...
* fonts-ipaexfont-*.preinst: run the alternative cleanup on fresh installation
  to ensure the cleanup is run even if the transitionals are not used

Please get this fixed in sid and unblocked for wheezy to fix this
upgrade problem. I also offer (and intend to) to NMU fonts-ipaexfont to take
care of this.


cheers,

Andreas
[otf-ipaexfont_00103-14.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700435; Package src:fonts-ipaexfont. (Tue, 12 Feb 2013 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Tue, 12 Feb 2013 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 700435@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700435@bugs.debian.org>
Subject: Re: fonts-ipaexfont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Tue, 12 Feb 2013 17:45:51 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #700435

Patch attached, versioning is for a NMU.


Andreas
[700435.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700435; Package src:fonts-ipaexfont. (Thu, 14 Feb 2013 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 14 Feb 2013 18:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 700435@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700435@bugs.debian.org>
Subject: Re: fonts-ipaexfont: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Thu, 14 Feb 2013 19:21:37 +0100
On 2013-02-12 17:45, Andreas Beckmann wrote:
> Patch attached, versioning is for a NMU.

NMU uploaded to DELAYED/5.
Please let me know if I should delay it longer.


Andreas



Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 10:33:03 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Tue, 19 Feb 2013 18:51:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Tue, 19 Feb 2013 18:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 700435-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700435-close@bugs.debian.org
Subject: Bug#700435: fixed in fonts-ipaexfont 00103-14.1
Date: Tue, 19 Feb 2013 18:47:43 +0000
Source: fonts-ipaexfont
Source-Version: 00103-14.1

We believe that the bug you reported is fixed in the latest version of
fonts-ipaexfont, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated fonts-ipaexfont package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 14 Feb 2013 19:14:22 +0100
Source: fonts-ipaexfont
Binary: fonts-ipaexfont fonts-ipaexfont-mincho fonts-ipaexfont-gothic otf-ipaexfont otf-ipaexfont-mincho otf-ipaexfont-gothic
Architecture: source all
Version: 00103-14.1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 fonts-ipaexfont - Japanese OpenType font, IPAexFont (IPAexGothic/Mincho)
 fonts-ipaexfont-gothic - Japanese OpenType font, IPAexFont (IPAexGothic)
 fonts-ipaexfont-mincho - Japanese OpenType font, IPAexFont (IPAexMincho)
 otf-ipaexfont - transitional dummy package
 otf-ipaexfont-gothic - transitional dummy package
 otf-ipaexfont-mincho - transitional dummy package
Closes: 700435
Changes: 
 fonts-ipaexfont (00103-14.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * otf-ipaexfont-*.preinst: Unregister the ttf-japanese-*.ttf alternatives.
   * fonts-ipaexfont-*.preinst: Clean up the ttf-japanese-*.ttf alternatives
     set up by otf-ipaexfont-* in squeeze. This needs to be done in
     fonts-ipaexfont-* as well since there is no guarantee that the
     transitional otf-ipaexfont-* packages were installed and did clean this
     up. Since new installations of fonts-ipaexfont-* cannot be distinguished
     from "upgrades" from otf-ipaexfont-* this needs to be run on new
     installations, too.  (Closes: #700435)
Checksums-Sha1: 
 d5f574b33d82ba7ebe3158711b4d10273bfee5e1 2334 fonts-ipaexfont_00103-14.1.dsc
 2e88a12cec76a44715a702eb22d927850652b6d3 12058 fonts-ipaexfont_00103-14.1.debian.tar.gz
 098cbc8bc0c4163004f5b6bb0a8912aee27a1c36 9946 fonts-ipaexfont_00103-14.1_all.deb
 24c72471453e0ce8518d51a3be0c229d1b18619f 4601804 fonts-ipaexfont-mincho_00103-14.1_all.deb
 0ba36f1a945d63916b1e81913415a400bea56963 3334326 fonts-ipaexfont-gothic_00103-14.1_all.deb
 c3f7b2998c0e223e483b4d66cbc588dd77df1d9d 9732 otf-ipaexfont_00103-14.1_all.deb
 88b61d5c4358bca1f7fc1c304134b430e6adb011 9950 otf-ipaexfont-mincho_00103-14.1_all.deb
 cae03dc77ac12d2a879427138c40e127284ce717 9954 otf-ipaexfont-gothic_00103-14.1_all.deb
Checksums-Sha256: 
 e8ee80f95161f7f99fe0da6f8f6f1535a8845a7cf2125dc3cdbddfba6246ac03 2334 fonts-ipaexfont_00103-14.1.dsc
 5fc8cfc1639afad90157d0bba136be2cf1417654020c6507c2c253ec38dd2867 12058 fonts-ipaexfont_00103-14.1.debian.tar.gz
 1910f94733d7da84e13ffbe0056157cb97ab8eacacda246ab7ecea1c81fa9bf2 9946 fonts-ipaexfont_00103-14.1_all.deb
 989cf78310bcbb419d89a216cd8f23c34ebaff9385232d375d5c9289bd560878 4601804 fonts-ipaexfont-mincho_00103-14.1_all.deb
 c63ffa6740b477fef1c42c7176260e6f5d4774548edb79bf7815c629b5077b47 3334326 fonts-ipaexfont-gothic_00103-14.1_all.deb
 3467452527c0c4b82f85f32cb51d3eee83323a36c0f876e157b3c5c06effd9c0 9732 otf-ipaexfont_00103-14.1_all.deb
 e37c94f9fa08321efd58ca9ee13da635a28757d271eba5aa091c0612865348ab 9950 otf-ipaexfont-mincho_00103-14.1_all.deb
 a7038d7cc0b688614664594eb8e0440887db662e3d93daff887a7d8a0534d442 9954 otf-ipaexfont-gothic_00103-14.1_all.deb
Files: 
 cff310cb237e685bd1a233ecfd0bb6f6 2334 fonts optional fonts-ipaexfont_00103-14.1.dsc
 9cb4f936a3ff59476a6de9eb870beddc 12058 fonts optional fonts-ipaexfont_00103-14.1.debian.tar.gz
 6c2265ba3b2a48676a92feb72449c074 9946 fonts optional fonts-ipaexfont_00103-14.1_all.deb
 a047ffaf6b725902a39fba277fd8824c 4601804 fonts optional fonts-ipaexfont-mincho_00103-14.1_all.deb
 f45ee26bce78b9fdc40cffff4559f4cc 3334326 fonts optional fonts-ipaexfont-gothic_00103-14.1_all.deb
 7077b9dcb50a338c7d9add44654e860c 9732 oldlibs extra otf-ipaexfont_00103-14.1_all.deb
 9fc14696ca4345f4db5c69409c8b7c53 9950 oldlibs extra otf-ipaexfont-mincho_00103-14.1_all.deb
 5364d089bd4cb0d68cb8ecaf3d35365a 9954 oldlibs extra otf-ipaexfont-gothic_00103-14.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRHSpnAAoJEF+zP5NZ6e0IYGEQAIDwCYDsOMUugTWgd06OdEKx
7bJdFxfSbhCTlNOmSbBSL/qljkN1WVx+QBJWBi20/wzIe5zVnNIyJCFf7xzZmlQI
yUuXeYUd2e7Zz4WOYZQPbrZ6ytTftFws0SJ9KiUP27PnFUfZzsFmVrnE9eN8toew
alZTc56pjC6UVgK5PakTXhh06K9GrEBnn4xZBebLoqVWPd40JfhunQBEv7idInS/
YiVY+JU4cQauEJs9O9/KMpbdVwoNXjMCCCtn2aAFrzIwgrimUDRY66aCNbq3FK0B
SgCLzJ25oqvE/JNx+f1KTsnwWK4xFky6/jWYhvlnbq51uk4eD34YrNAsmuOzVDfE
gVCxnfl/XYPsi8Y7Lcty3ALlupZ9o9u3OQ27cc1ESbhAZuvDCddVDSL0zgVV4F/l
pmWibjDaafHB1SYkY9MB/Qc0e5+5EXJBx+j/urYdCrZO+nhrpT3B2u7xFBQqsPpk
1L0SBdoRHZNSj31n6HTUGKWYXGd89cS0RiNBEhQn4qejKqM9D199WfWYPI7yU+Ng
BA3dslf3walZPaenyUAw/YVIFl4Q67AZP314nCJEOySDmvJHRw5BJMY+lGNlEnQF
JsUfPXwg1Be5C57s+16D6tR0LUYTfNEmJvMd0MLEPHdam88/INxV27Adoc1c3J8C
pIaLXsx4Yf2ta57bA0fC
=r3nK
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from henrich@alioth.debian.org to control@bugs.debian.org. (Sun, 03 Mar 2013 01:06:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Mar 2013 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:57:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.